complexType "GasProduct"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, (calorificValue? | quality?)?
</...>

Content Model Elements (3):

  calorificValue, quality, | type (in gas)

All Direct / Indirect Based Elements (1):

  gas

Known Usage Locations

- As direct type of elements (1):
  gas

Annotation
A type defining the characteristics of the gas being traded in a physically settled gas transaction.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="GasProduct"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="GasProductTypeEnum"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="calorificValue" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="quality" type="GasQuality"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calorificValue

  Type: | NonNegativeDecimal, simple content

  The calorific value of the gas to be delivered, specified in megajoules per cubic meter (MJ/m3).
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calorificValue" type="NonNegativeDecimal"/>

quality

  Type: | GasQuality, simple content

  The quality of the gas to be delivered.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quality" type="GasQuality"/>

type

  Type: | GasProductTypeEnum, simple content

  The type of gas to be delivered.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "NaturalGas"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="GasProductTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.